require( "scripts/style.lua" );

PauseFont1 = {
  standardFont,
  36,
  BlackColor
};


MakeDialog
{
	-- Name the modal dialog
	name="pausemenu",
	Bitmap
	{
		image="backgrounds/profiles/del/back",
		x=kCenter,
		y=kCenter-50,
		

		Text
		{
			name = "text",
			font = PauseFont1,
			x=0,y=0,w=400,h=250,
			flags = kHAlignCenter + kVAlignCenter,
			label = "GamePaused"
		};
		
		SetStyle(ButtonStyle),
		Button
		{
            x = 125,	y = 190,
			parent = DefaultStyle,
			type= kPush,
			graphics = {"buttons/b_resume",	"buttons/b_resume_pressed",	"buttons/b_resume_mouseover"},
			type= kPush,
			command =
				function()
					PlayGSound("butt");
					PopModal("pausemenu");
					if(not(StartLighting == nil)) then
						StartLighting();
					end	
					if(not(StartLightingMG == nil)) then
						StartLightingMG();
					end	
				end
		},
	},
}